> ## Documentation Index
> Fetch the complete documentation index at: https://www.cometchat.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

> Unblocks the specified user

# Unblock User

For the complete error reference, see [Error Guide](/articles/error-guide).


## OpenAPI

````yaml delete /users/{uid}/blockedusers
openapi: 3.0.0
info:
  title: Chat APIs
  description: Manage messages, users, groups for a particular app using our Chat API.
  version: '3.0'
servers:
  - url: https://{appId}.api-{region}.cometchat.io/v3
    variables:
      appId:
        default: appId
        description: (Required) App ID
      region:
        enum:
          - us
          - eu
          - in
        default: us
        description: Select Region
security: []
tags:
  - name: API Keys
    description: The API keys are used to authorise the APIs
  - name: Roles
    description: The roles are used to give user access rights
  - name: Users
    description: The REST collection for users.
  - name: Auth Tokens
    description: The auth tokens are used to login end users using client SDKs.
  - name: Blocked Users
    description: The REST collections for blocked users.
  - name: Friends
    description: List,add and remove friends by passing UID in path variables
  - name: Groups
    description: The REST collections for groups.
  - name: Banned Users
    description: Ban and Unban user by passing other UID in path variables.
  - name: Group Members
    description: The REST collections for group members.
  - name: Messages
    description: The REST collections for messages.
  - name: Conversations
    description: The REST collections for conversations.
  - name: Restrict Features
    description: Allows Restricting Features
  - name: Metrics
    description: Allows accessing Data Metrics
  - name: Triggers
    description: Allows adding triggers to a webhook.
  - name: Webhooks
    description: Allows accessing Webhooks.
  - name: Notifications
    description: Allows configuring Notifications core.
paths:
  /users/{uid}/blockedusers:
    delete:
      tags:
        - Blocked Users
      summary: Unblock User
      description: Unblocks the specified user
      operationId: unblock-users
      parameters:
        - name: uid
          in: path
          description: An UID of a user.
          required: true
          schema:
            type: string
          examples:
            string:
              summary: UID
              value: cometchat-uid-1
      requestBody:
        content:
          application/json:
            schema:
              required:
                - blockedUids
              properties:
                blockedUids:
                  description: UIDs of the users to be unblock
                  type: array
                  items:
                    type: string
              type: object
      responses:
        '200':
          description: Blocked user
          content:
            application/json:
              schema:
                properties:
                  data:
                    properties:
                      <uid>:
                        type: object
                    type: object
                type: object
              example:
                data:
                  cometchat-uid-4:
                    success: true
                    message: >-
                      The user with UID cometchat-uid-1 has blocked user with
                      UID cometchat-uid-3 successfully.
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: apiKey
      description: API Key with fullAccess scope(i.e. Rest API Key from the Dashboard).
      name: apikey
      in: header

````